[tool.poetry]
name = "opensnds"
version = "0.1.0"
description = "Preprocessing et application de restitution des données open data de la cnam sur le SNDS."
authors = ["Matthieu Doutreligne <m.doutreligne@has-sante.fr>"]
license = "EUPL-v1.2"

include = ["opensnds/bin"]

[tool.poetry.dependencies]
python = ">=3.8,<3.9"
numpy = "1.21.1"
seaborn = "0.11.1"
plotly = "4.14.3"
dash = "1.19.0"
dash-bootstrap-components = "0.12.2"
dash-core-components = "1.15.0"
dash-html-components = "1.1.2"
dash-renderer = "1.9.0"
dash-table = "4.11.2"
tableschema = "1.20.0"
pyarrow = "3.0.0"
gunicorn = "20.0.4"
dash-extensions = "0.0.55"
python-dotenv = "^0.19.0"
fsspec = "^2021.7.0"
s3fs = "^2021.8.0"
pandas = "1.3.2"
XlsxWriter = "^3.0.1"
sentry-sdk = {extras = ["flask"], version = "^1.5.0"}
colorspacious = {version = "^1.1.2", optional = true}
makeitpop = {version = "^0.1", optional = true}
myst-nb = {version = "^0.13.0", optional = true}
Sphinx = {version = "^4.2.0", optional = true}
sphinx-panels = {version = "^0.6.0", optional = true}
ablog = {version = "^0.10.19", optional = true}
sphinxcontrib-bibtex = {version = "^2.4.1", optional = true}
sphinxext-opengraph = {version = "^0.4.2", optional = true}
pydata-sphinx-theme = {version = "^0.6.3", optional = true}
myst-parser = {version = "^0.15.2", optional = true}
sphinxext-rediraffe = {version = "^0.2.7", optional = true}
sphinx-autobuild = {version = "^2021.3.14", optional = true}

[tool.poetry.dev-dependencies]
grequests = "^0.6.0"
pre-commit = "^2.14.0"
black = "^21.7b0"
matplotlib = "^3.4.3"
jupyterlab = "^3.1.6"
jupytext = "^1.11.4"
Sphinx = "^4.1.2"
sphinx-autobuild = "^2021.3.14"

[tool.poetry.extras]
docs = ["colorspacious","makeitpop","myst-nb","Sphinx","sphinx-panels","ablog","sphinxcontrib-bibtex","sphinxext-opengraph","pydata-sphinx-theme","myst-parser","sphinxext-rediraffe","sphinx-autobuild"]

[tool.poetry.scripts]
app = "opensnds.app.app:start_dev_server"
benchmark = "opensnds.bin.benchmark:bench"
data-quality-csv = "opensnds.bin.data:checkCSV"
data-quality-parquet = "opensnds.bin.data:checkParquet"
check-csv-by-code = "opensnds.bin.data:checkCSVByCode"
check-parquet-by-code = "opensnds.bin.data:checkParquetByCode"
upload-Raw-Data = "opensnds.data.upload:upload_raw_data"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
